> ## Documentation Index
> Fetch the complete documentation index at: https://developers.scrunch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sitemap Page

> Get detailed information about a single page in the brand's sitemap, including title, description, depth, audit score, canonical URL, last-indexed timestamp, priority flag, and optimized-content flag.



## OpenAPI

````yaml /api-reference/openapi.json get /{brand_id}/sitemap/pages/{page_id}
openapi: 3.1.0
info:
  title: Scrunch Data API
  version: 0.1.0
servers:
  - url: https://api.scrunchai.com/v1
security: []
paths:
  /{brand_id}/sitemap/pages/{page_id}:
    get:
      tags:
        - sitemap
      summary: Get Sitemap Page
      description: >-
        Get detailed information about a single page in the brand's sitemap,
        including title, description, depth, audit score, canonical URL,
        last-indexed timestamp, priority flag, and optimized-content flag.
      operationId: getSitemapPage
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: integer
            title: Brand Id
            description: The unique identifier for the brand.
          description: The unique identifier for the brand.
        - name: page_id
          in: path
          required: true
          schema:
            type: integer
            title: Page Id
            description: The unique identifier for the page.
          description: The unique identifier for the page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SitemapPageDetail'
        '404':
          description: Page not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer:
            - query
components:
  schemas:
    SitemapPageDetail:
      properties:
        id:
          type: integer
          title: Id
        url:
          type: string
          title: Url
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        depth:
          type: integer
          title: Depth
        audit_score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Audit Score
        canonical_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Canonical Url
        is_priority:
          type: boolean
          title: Is Priority
        has_optimized_content:
          type: boolean
          title: Has Optimized Content
        last_indexed:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Indexed
          description: When the page content was last indexed.
        content_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Content Updated At
          description: When the cached page content was last updated.
      type: object
      required:
        - id
        - url
        - title
        - description
        - depth
        - audit_score
        - canonical_url
        - is_priority
        - has_optimized_content
        - last_indexed
        - content_updated_at
      title: SitemapPageDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````